<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="240dp">

    <!--录制-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_record"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@id/btn_submit"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_duration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@id/btn_record"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="00:00" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_record"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_marginTop="12dp"
            app:layout_constraintBottom_toTopOf="@id/tv_duration_tips"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_duration"
            app:srcCompat="@drawable/profile_edit_talent_voice_record_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_duration_tips"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/profile_edit_talent_voice_record"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/btn_record"
            app:layout_constraintVertical_chainStyle="packed" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--重录,试听-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_preview"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/btn_submit"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_preview_duration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="00:00" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_re_record"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_marginTop="50dp"
            app:layout_constraintEnd_toStartOf="@id/btn_preview"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            app:srcCompat="@drawable/profile_edit_talent_voice_re_record_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_re_record"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:text="@string/profile_edit_talent_voice_re_record"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/btn_re_record"
            app:layout_constraintStart_toStartOf="@id/btn_re_record"
            app:layout_constraintTop_toBottomOf="@id/btn_re_record"
            app:layout_constraintVertical_chainStyle="packed"
            app:layout_constraintWidth_max="120dp" />


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_preview"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_marginTop="50dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_re_record"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            app:srcCompat="@drawable/profile_edit_talent_voice_preview_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_preview"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:text="@string/profile_edit_talent_voice_preview"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/btn_preview"
            app:layout_constraintStart_toStartOf="@id/btn_preview"
            app:layout_constraintTop_toBottomOf="@id/btn_preview"
            app:layout_constraintVertical_chainStyle="packed"
            app:layout_constraintWidth_max="120dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_submit"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="20dp"
        app:text="@string/common_submit"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>